module Flow
  module Models
    class Credit < Transaction

      def pending?
        self.status == 'pending'
      end

      def scheduled?
        self.status == 'scheduled'
      end

      def cleared?
        self.status == 'cleared'
      end

      def failed?
        self.status == 'failed'
      end

      def error?
        self.status == 'error'
      end
      
    end
  end
end